Last Comment Bug 838675 - Make <input type='file'> rendering nicer (keep up with other browsers)
: Make <input type='file'> rendering nicer (keep up with other browsers)
Status: RESOLVED FIXED
: meta
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Mounir Lamouri (:mounir)
:
: Jet Villegas (:jet)
Mentors:
Depends on: 891924 345195 762270 838354 838676 838694 838695 838698 838699 838703 838704 838705 839787 839788 847233 857409
Blocks: 839060 CVE-2013-1671
  Show dependency treegraph
 
Reported: 2013-02-06 09:09 PST by Mounir Lamouri (:mounir)
Modified: 2013-09-05 15:43 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
23+


Attachments

Description Mounir Lamouri (:mounir) 2013-02-06 09:09:37 PST
This is a meta bug about improving our <input type='file'> widget. The goal of this bug is reaching other vendors quality. There will be other bugs about going farther.
Comment 1 Mounir Lamouri (:mounir) 2013-02-07 07:31:54 PST
Try builds with with all patches applied:
https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mlamouri@mozilla.com-b61257dc2541/
Comment 2 Mounir Lamouri (:mounir) 2013-02-09 07:41:19 PST
Just to make sure I'm not introducing a grammatical mistake... When there is no file selected on a file input, the message is "No file selected.", when there is the multiple attribute, it is "No files selected.". Is the plural for 'file' correct here?
Comment 3 Andrew Overholt [:overholt] 2013-03-14 10:19:24 PDT
(In reply to Mounir Lamouri (:mounir) from comment #2)
> Just to make sure I'm not introducing a grammatical mistake... When there is
> no file selected on a file input, the message is "No file selected.", when
> there is the multiple attribute, it is "No files selected.". Is the plural
> for 'file' correct here?

Yes.
Comment 4 Justin Dolske [:Dolske] 2013-03-27 15:58:07 PDT
Who in UX is helping with the visual design / UX of these changes?
Comment 5 Mounir Lamouri (:mounir) 2013-03-28 04:13:46 PDT
(In reply to Justin Dolske [:Dolske] from comment #4)
> Who in UX is helping with the visual design / UX of these changes?

No one I'm afraid.
Comment 6 Justin Dolske [:Dolske] 2013-03-29 10:32:13 PDT
Ah! Best to get UX involved early, but it's never too late. :)

What should we use to take a look? Is it all in Nightly now, or would another Try build be useful?

Any test pages to exercise it?
Comment 7 Mounir Lamouri (:mounir) 2013-04-02 05:14:36 PDT
It is in Nightly. I guess you can simply use: data:text/html,<input type='file'> or the bugzilla attachment page to try it.
Comment 8 Mounir Lamouri (:mounir) 2013-04-02 05:15:21 PDT
All dependant bugs are resolved, marking this meta bug as resolved fixed then.
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2013-08-01 17:03:54 PDT
We already have a note about the input implementation:

 DEVELOPER
HTML5 <input type="range"> form control implemented 

Is there something you'd like added or changed about this note to reflect this bug? If so please email me or ping in IRC.
Comment 10 Mounir Lamouri (:mounir) 2013-08-02 04:03:27 PDT
(In reply to lsblakk@mozilla.com [:lsblakk] from comment #9)
> We already have a note about the input implementation:
> 
>  DEVELOPER
> HTML5 <input type="range"> form control implemented 
> 
> Is there something you'd like added or changed about this note to reflect
> this bug? If so please email me or ping in IRC.

This bug is about <input type='file'>, not <input type='range'>.
Comment 11 Lukas Blakk [:lsblakk] use ?needinfo 2013-08-02 12:39:04 PDT
Ah, ok then.

Added: <input type='file'> rendering improvements (see <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=838675">bug 838675</a>)<

Note You need to log in before you can comment on or make changes to this bug.